- motif_policy = policy([:agent, @motif])
- content_for(:menu_item) { "menu-motifs" }

.row.justify-content-center
  .col-md-8
    .card.mt-2
      .card-header
        h3.text-center Motif #{@motif.name} (#{@motif.service.short_name})
      .card-body
        = motif_attribute_row(Motif.human_attribute_name(:name), @motif.name)
        = motif_attribute_row(Motif.human_attribute_name(:service), @motif.service.name)
        - if current_organisation.territory.enable_motif_categories_field
          = motif_attribute_row(Motif.human_attribute_name(:category), Motif.human_attribute_value(:category, @motif.category))
        = motif_attribute_row \
          Motif.human_attribute_name(:default_duration_in_min_short), \
          "#{@motif.default_duration_in_min} minutes"
        = motif_attribute_row(Motif.human_attribute_name(:color)) do
          span.motif-color-badge>[style="background-color: #{@motif.color};"]
          span.text-muted= @motif.color
        hr

        = motif_attribute_row("Type de RDV") do
          div
            = "#{@motif.human_attribute_value(:collectif)} #{@motif.human_attribute_value(:location_type).downcase}"
          div.text-muted
            = @motif.human_attribute_value(:location_type, context: :hint)
        hr

        = motif_attribute_row \
          Motif.human_attribute_name(:follow_up_short), \
          motif_option_value(@motif, :follow_up)
        = motif_attribute_row \
          Motif.human_attribute_name(:for_secretariat_short), \
          motif_option_value(@motif, :for_secretariat)
        hr

        - unless current_agent.conseiller_numerique?
          = motif_attribute_row \
            Motif.human_attribute_name(:reservable_online), \
            motif_option_value(@motif, :reservable_online)
        = motif_attribute_row \
          Motif.human_attribute_name(:min_booking_delay_short), \
          @motif.reservable_online? && \
            min_max_delay_int_to_human(@motif.min_booking_delay), \
          hint: Motif.human_attribute_name(:min_booking_delay_hint)
        = motif_attribute_row \
          Motif.human_attribute_name(:max_booking_delay_short), \
          @motif.reservable_online? && \
            min_max_delay_int_to_human(@motif.max_booking_delay), \
          hint: Motif.human_attribute_name(:max_booking_delay_hint)
        - unless current_agent.conseiller_numerique?
          = motif_attribute_row("Sectorisation") do
            - if @motif.reservable_online?
              div= @motif.human_attribute_value(:sectorisation_level)
              div.text-muted= @motif.human_attribute_value(:sectorisation_level, context: :hint)
            - else
              span.text-muted N/A
        hr

        = motif_attribute_row(Motif.human_attribute_name(:visibility_type)) do
          div= @motif.human_attribute_value(:visibility_type)
          div.text-muted
            = @motif.human_attribute_value(:visibility_type, context: :hint)
        hr

        = motif_attribute_row \
          Motif.human_attribute_name(:restriction_for_rdv_short), \
          @motif.restriction_for_rdv, \
          hint: Motif.human_attribute_name(:restriction_for_rdv_hint)
        = motif_attribute_row \
          Motif.human_attribute_name(:instruction_for_rdv_short), \
          @motif.instruction_for_rdv, \
          hint: Motif.human_attribute_name(:instruction_for_rdv_hint)
        = motif_attribute_row \
          Motif.human_attribute_name(:custom_cancel_warning_message), \
          @motif.custom_cancel_warning_message, \
          hint: Motif.human_attribute_name(:custom_cancel_warning_message_hint)

      - if motif_policy.edit? || motif_policy.destroy?
        .card-footer
          .d-flex.justify-content-end
            - if motif_policy.destroy?
              div.mr-2= link_to "Supprimer", admin_organisation_motif_path(current_organisation, @motif), method: :delete, data: { confirm: "Confirmez-vous la suppression de ce motif ?"}, class: "btn btn-danger w-100"
            - if motif_policy.edit?
              div= link_to "Éditer", edit_admin_organisation_motif_path(current_organisation, @motif), class: "btn btn-primary w-100"

= render "admin/versions/resource_versions_row", resource: @motif
